## org.eclipse.jst.jsf.common.metadata.traittypes.traittypes
Interface BooleanValue

    public interface BooleanValue

A representation of the model object 'Boolean Value'. Only String value of 'true' in xml will result in isTrue() being true. All other String values will result in false.

The following features are supported:

- `True`

See Also:
  `TraitTypesPackage.getBooleanValue()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`boolean` `isTrue()` Returns the value of the 'True' attribute
`void` `setTrue(boolean value)` Sets the value of the '`True`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### isTrue

    boolean isTrue()

  Returns the value of the 'True' attribute.

  If the meaning of the 'True' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'True' attribute.
  See Also:
    `setTrue(boolean)`, `TraitTypesPackage.getBooleanValue_True()`

### setTrue

    void setTrue(boolean value)

  Sets the value of the '`True`' attribute.

  Parameters:
    `value` - the new value of the 'True' attribute.
  See Also:
    `isTrue()`